IPMI-SEL(8)

NAME
ipmi-sel - manual page for ipmi-sel. IPMI System Event Logger version 0.4.6

DESCRIPTION
IPMI System Event Logger is used to view and delete SEL entries.

OPTIONS

--no-probing
    Do not probe IPMI devices.

-D, --driver-type=IPMIDRIVER
    Use this IPMIDRIVER instead of auto selection. Allowed values are KCS, SMIC, SSIF, LAN, and OPENIPMI.

--driver-address=DRIVERADDR
    Use this DRIVERADDR address instead of probed one.

--driver-device=DEVICE Use this DEVICE for IPMI driver.

-r, --register-spacing=EGISTERSPACING
    Use this REGISTERSPACING instead of the probed one.

-h, --hostname=IPMIHOST
    Connect to IPMIHOST. IPMIHOST may include host ranges. See HOSTRANGED OUTPUT below.

-u, --username=USERNAME
    Use USERNAME instead of NULL. Maximum USERNAME length is 16.

-p, --password=PASSWORD
    Use PASSWORD instead of NULL. Maximum PASSWORD length is 16.

-P, --password-prompt
    Prompt for password to avoid possibility of listing it in process lists.

-a, --auth-type=AUTHTYPE
    Use AUTHTYPE instead of MD5. Allowed values are NONE, MD2, MD5, and PLAIN.

-l, --priv-level=PRIVILEGE-LEVEL
    Use this PRIVILEGE-LEVEL instead of USER. Allowed values are CALLBACK, USER, OPERATOR, ADMIN and OEM.

--debug
    Turn on debugging.

-?, --help
    Give this help list

--usage
    Give a short usage message

-V, --version
    Print program version

-i, --info
    Show SEL info

-x [FILE], --hex-dump[=FILE]
    Output a hexadecimal dump of the SEL

-c, --delete-all
    Delete all records in SEL

-d REC-LIST, --delete=REC-LIST
    Delete REC-LIST in SEL

--delete-range=START-END
    Delete records from START to END in SEL

-f, --flush-cache
    Flush sensor data repository (SDR) cache.

-Q, --quiet-cache
    Do not output information about cache creation/deletion.

--sdr-cache-directory=DIRECTORY
    Use DIRECTORY for sensor data repository (SDR) cache.

-B, --buffer-output
    Buffer hostranged output. For each node, buffer standard output until the node has completed its IPMI operation. When specifying this option, data may appear to output slower to the user since the the entire IPMI operation must complete before any data can be output. See HOSTRANGED SUPPORT below for additional information.

-C, --consolidate-output
    Consolidate hostranged output. The complete standard output from every node specified will be consolidated so that nodes with identical output are not output twice. A header will list those nodes with the consolidated output. When this option is specified, no output can be seen until the IPMI operations to all nodes has completed. If the user breaks out of the program early, all currently consolidated output will be dumped. See HOSTRANGED OUTPUT below for additional information.

-F, --fanout
    Set multiple host fanout. A "sliding window" (or fanout) algorithm is used for parallel IPMI communication so that slower nodes or timed out nodes will not impede parallel communication. The maximum number of threads available at the same time is limited by the fanout. The default is 64. See HOSTRANGED OUTPUT below for additional information.

-E, --eliminate
    Eliminate hosts determined as undetected by ipmidetect. This attempts to remove the common issue of hostranged execution timing out due to several nodes being removed from service in a large cluster. The ipmidetectd daemon must be running on the node executing the command. See HOSTRANGED OUTPUT below for additional information.

HOSTRANGED OUTPUT
The host input specified by the user can accept multiple hosts for parallel out of band communication and output. Multiple hosts can be input either as an explicit comma seperated lists of hosts or a range of hostnames in the general form: prefix[n-m,l-k,...], where n < m and l < k, etc. The later form should not be confused with regular expression character classes (also denoted by []). For example, foo[19] does not represent foo1 or foo9, but rather represents a degenerate range: foo19.

This range syntax is meant only as a convenience on clusters with a prefixNN naming convention and specification of ranges should not be considered necessary -- the list foo1,foo9 could be specified as such, or by the range foo[1,9].

Some examples of range usage follow:
    foo[01-05] instead of foo01,foo02,foo03,foo04,foo05
    foo[7,9-10] instead of foo7,foo9,foo10
    foo[0-3] instead of foo0,foo1,foo2,foo3

As a reminder to the reader, some shells will interpret brackets ([ and ]) for pattern matching. Depending on your shell, it may be necessary to enclose ranged lists within quotes.

By default, standard output from each node specified will be output with the hostname prepended to each line. Although this output is readable in many situations, it may be difficult to read in other situations. For example, output from multiple nodes may be mixed together. The -B and -C options can be used to change this default.

In-band IPMI Communication will be used when the host "localhost" is specified. This allows the user to add the localhost into the hostranged output.

EXAMPLES
# ipmi-sel

Show all SEL entries.

# ipmi-sel --delete=44,82

Delete entries 44 and 82.

# ipmi-sel --delete-all

Delete all entries in SEL.

# ipmi-sel --info

Show SEL version and general information.

# ipmi-sel --delete-range 12-42

Delete range of entries 12 to 42.

# ipmi-sel --hex-dump

Dump SEL data in Hex format.

# ipmi-sel -x /var/log/sel.dmp

Dump SEL data in hex format to file /var/log/sel.dmp.

REPORTING BUGS
Report bugs to <freeipmi-devel@gnu.org>.

COPYRIGHT
Copyright © 2003,04,05 FreeIPMI Core Team. This program is free software; you may redistribute it under the terms of the GNU General Public License. This program has absolutely no warranty.